import java.io.File;
import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.Random;
import java.util.Scanner;


public class NameGenerator {
    /*
     * This will load the names file into the names array
     */
    public String[] first_names;
    public String[] last_names;
    
    /*
     * This is the constructor of our NameGenerator class
     * It will load first names and last names from a text file
     */
    public NameGenerator(){
        first_names = loadNamesArray("first-names.txt");
        last_names = loadNamesArray("last-names.txt");
    }

    /*
     * This method reads the first-names.txt file and load the list of names
     */
    public String[] loadNamesArray(String filepath){
        Scanner dataScanner;
        ArrayList<String> arraylist = new ArrayList<String>();

        try {
            dataScanner = new Scanner(new File(filepath));
            while(dataScanner.hasNextLine()){
                arraylist.add(dataScanner.nextLine());
            }
            dataScanner.close();
        } catch (FileNotFoundException e) {
            System.out.println("The file "+filepath+" was not found.");
            e.printStackTrace();
        }

        String[] array = new String[arraylist.size()];
        for (int i = 0; i < array.length; i++) {
            array[i] = arraylist.get(i);
        }

        return array;
    }
}
